ChangeLog for Cheese
--------------------

version 2.22.3
	- cheese did not choose the right thumbnails for already taken pictures, fixes bug #539030
	- added/updated translations
	  - bg, courtesy of Alexander Shopov
	  - vi, courtesy of Clytie Siddall

version 2.22.2
	- cheese crashed, when a file was deleted twice
	- fix regression of gio, which disabled DnD, courtesy of Cosimo Cecchi, fixes bug #526398
	- fix invalid free in cheese, fixes bug #529467, courtesy of Matthias Clasen

version 2.22.1
	- cheese crashed while initializing webcam on some devices, fixes bug #522143, courtesy of Alex Rostovtsev
	- cheese did not list its gnome-vfs dependency, fixes bug #522152, courtesy of Alex Rostovtsev
	- cheese did not open the webcam device set in gconf, courtesy of Sjoerd Simons, fixes bug #522198
	- cheese crashed if getting information from a webcam fails, courtesy of Sjoerd Simons, fixes bug #522197
	- set the max waiting time for detecting a camera to 10 seconds, fixes bug #520394
	- do not allow to take pictures, while the webcam is initialising, fixes bug #523121
	- show our fancy countdown widget by default
	- added/updated translations
	  - el, courtesy of Nick Paraschou
	  - es, courtesy of Jorge González
	  - et, courtesy of Ivar Smolin and Mattias Põldaru
	  - nn, courtesy of Eskild Hustvedt
	  - ru, courtesy of Vasiliy Faronov
	  - vi, courtesy of Nguyễn Thái Ngọc Duy

version 2.22.0
	- typo in the documentaton: ximageskink instead of ximagesink
	- menu entries for take a photo and recording never switched, fixes bug #516745
	- select a thumb near the deleted item, fixes bug #505442
	- make sure we have the right prototype definition, fixes bug #519030
	- Rephrased hard-to-understand sentence in docs, fixes bug #518838, courtesy of Claude Paroz
	- added/updated translations
    - be@latin, courtesy of Ihar Hrachyshka
    - da, courtesy of Kenneth Nielsen
    - el, courtesy of Athanasios Lefteris
    - en_GB, courtesy of Philip Withnall
    - es, courtesy of Jorge González
    - fr, courtesy of Claude Paroz and Stéphane Raimbault
    - gu, courtesy of Ankit Patel
    - he, courtesy of Yair Hershkovitz
    - hu, courtesy of Gabor Kelemen
    - it, courtesy of Alessandro Falappa
    - lt, courtesy of Gintautas Miliauskas
    - ml, courtesy of Ani Peter
    - mr, courtesy of Sandeep Shedmake
    - uk, courtesy of Maxim Dziumanenko
    - zh_CN, courtesy of YangZhang
    - zh_HK, courtesy of Chao-Hsiung Liao
    - zh_TW, courtesy of Chao-Hsiung Liao

version 2.21.92:
	- drop libglade and use GtkBuilder instead.
	- putted gtk calls in critical section in threads, fixes bug #516697, courtesy of Mathias Clasen
	- make use of the gconf countdown setting and show or hide the countdown depending on that
	- added/updated translations
    - ko, courtesy of Changwoo Ryu
    - th, courtesy of Theppitak Karoonboonyanan
    - sl, courtesy of Matej Urbančič
    - bn_IN, courtesy of Runa Bhattacharjee
    - pa, courtesy of Amanpreet Singh Brar
    - nl, courtesy of Wouter Bolsterlee.
    - nb, courtesy of Kjartan Maraas
    - ar, courtesy of Djihed Afifi
    - tr, courtesy of Baris Cicek
    - ja, courtesy of Takeshi Aihana
    - ca, courtesy of Gil Forcada
    - cs, courtesy of Vitezslav Kotrla.
    - pt, courtesy of Duarte Loreto
    - oc, courtesy of Yannig Marchegay
    - mk, courtesy of Arangel Angov
    - zh_CN, courtesy of YangZhang
    - hu, courtesy of Adam Pongracz

version 2.21.91:
	- replaced all gnome-vfs calls by gio
	- install bugreport script in libexec instead of lib, fixes bug #514833
	- translate effect names too, courtesy of Tommi Vainikainen
	- pressing 'esc' cancels countdown/stop video recording, courtesy of Tommi Vainikainen
	- added/updated translations
	  - ar, courtesy of Khaled Hosny
	  - de, courtesy of Hendrik Brandt	
	  - es, courtesy of Jorge González
	  - et, courtesy of Ivar Smolin
	  - eu, courtesy of Iñaki Larrañaga Murgoitio
	  - fi, courtesy of Tommi Vainikainen
	  - fr, courtesy of Robert-André Mauchin and Stéphane Raimbault
	  - it, courtesy of Alessandro Falappa
	  - nb, courtesy of Kjartan Maraas
	  - oc, courtesy of Yannig Marchegay
	  - pl, courtesy of GNOME PL Team
	  - pt_BR, courtesy of Pedro de Medeiro and Og Maciel
	  - sv, courtesy of Daniel Nylander 
	  - zh_HK, courtesy of Chao-Hsiung Liao
	  - zh_TW, courtesy of Chao-Hsiung Liao

version 2.21.90.1:
	- new effect images by Lapo Calamandrei and Or Dvory (again)
	- the bugreport script didnt get copied on make dist

version 2.21.90:
	- new effect images by Lapo Calamandrei and gidesa
	- fix bug #510610 - Typo at the documentation
	- Remove gnome-vfs completely from cheese-window.c
	- Use gio instead of gnome-vfs for file copy
	- Make Save dialog title localizable
	- Don't use gnome-vfs for opening links in about dialog
	- Write logging to file ~/.gnome2/cheese/log and send this along in bug-buddy
	  reports. Patch by <ruledbyfaith@gmail.com>. fixes bug #510270
	- Plug some leaks. Apply patches of Mauro <mukadr@gmail.com> of GHOP project. fixes bug #505441
	- Run webcam detection in background thread. Fixes bug #505553. Patch by Steve Magoun <steve.magoun@canonical.com>
	- Uso GIO g_file_trash() to trash files, patch by Luca Ferretti
	- Update to new manual provided by Joshua Henderson as part of GHOP
	- remove the queue-size=2, this should fix bug #507416 - iSight camera does not work in gstreamer
	- added/updated translations
    - ar, courtesy of Khaled Hosny
    - es, courtesy of Jorge González
    - et, courtesy of Ivar Smolin
    - eu, courtesy of Iñaki Larrañaga Murgoitio
    - ga, courtesy of Seán de Búrca
    - gl, courtesy of Ignacio Casal Quinteiro
    - he, courtesy of Yair Hershkovitz
    - mk, courtesy of Jovan Naumovski
    - mr, courtesy of Sandeep Shedmake
    - nb, courtesy of Kjartan Maraas
    - oc, courtesy of Yannig Marchegay
    - ru, courtesy of Vasiliy Faronov
    - sv, courtesy of Daniel Nylander
    - uk, courtesy of Maxim Dziumanenko
    - zh_CN, courtesy of YangZhang

version 2.21.5:
	- version bump to follow the gnome release cycle
	- add a stylish countdown widget by Mirco "MacSlow" Müller, courtesy of Patryk Zawadzki
	- add X-GNOME-Bugzilla-* keys and validate .desktop file. fixes bug #508910, courtesy of Luca Ferretti
	-	vertical and horizontal flip options were switched (again). fixes bug #479238, courtesy of Steve Magoun
	- use the gst-player by Mathias Hasselman for playing the shutter sound
	- removed color forcing. This has been fixed in gstreamer
	- do not crash when trash directory is not present. fixes bug #507071
	- make cheese build against uninstalled gstreamer. fixes bug #479259, courtesy of Tim Philip Müller
	- added/updated translations
		- et, courtesy of Ivar Smolin
		- ja, courtesy of Takeshi Aihana
		- ca, courtesy of Gil Forcada
		- oc, courtesy of Yannig Marchegay    
		- sv, courtesy of Daniel Nylander
		- fr, courtesy of Robert-André Mauchin
		- pt_BR, courtesy of Rodrigo Flores

version 0.3.0:
	- add a shutter sound, when taking a photo
	- sort the thumbnail chronologically
	- make the effect chooser look a bit nicer
	- give thumbnails a frame like in nautilus and eog. fixes bug #500819
	- enable shortcuts if the mouse pointer is over the xoverlay. fixes bug #493196
	- add new shortcuts
		- space for take a photo/start-stop recording
		- <ctrl q> for exiting
		- f1 for help
		- delete for removing a photo or video
	- add a gconf backend
	- chosen effects are stored in gconf. fixes bug #488834
	- store the used webcam device in gconf. partially fixes bug #473038
	- use a throbber, when the camera is loading
	- add drag and drop support to the iconview
	- vertical and horizontal flip were switched. fixes bug #479238
	- many usability improvements. partially fixes bug #501337
	- point to the right homepage in the about dialog
	- add a boilerplate for a manual in cheese. partially fixes #480628
	- make video and photo button a toggle button. fixes bug #498022
	- make links on about dialog clickable. fixes bug #499425
	- translate menu items created by gtkuimanager, fixes bug #500821
	- change the first item in menu to "Cheese"
	- add a "Move all to trash" option
	- use gtkuimanager for the menu
	- give the ability to record videos from the menu
	- provide access to the effect chooser using the menu
	- use radio buttons in the menu to change between photo and video mode
	- use HAL to detect webcams
	- make ximagesink an xvimagesink work for all cameras
	- only use raw video formats. fixes bug #502174
	- use the highest resolution for each camera
	- add --verbose command line option, fixes bug #499399
	- cheese was refactored and uses now a webcam class
	- removed some memory leaks
	- fixed many, many bugs
	- added/updated translations
		- ar, courtesy of Djihed Afifi
		- ca, courtesy of Carlos Garcia Porcel
		- cs, courtesy of Vitezslav Kotrla
		- de, courtesy of Andre Klapper
		- el, courtesy of Athanasios Lefteris
		- es, courtesy of Jorge González
		- fr, courtesy of Pierre Slamich
		- gl, courtesy of Ignacio Casal Quinteiro
		- it, courtesy of Alessandro Falappa
		- nb, courtesy of Kjartan Maraas
		- oc, courtesy of Yannig Marchegay
		- pt, courtesy of Miguel Rosa
		- ro, courtesy of Anastase Valentin
		- sl, courtesy of Deni Bačić
		- sv, courtesy of Daniel Nylander

version 0.2.4:
	- fix #472576 - cheese takes longer to start as more pictures are stored
	- fix #473560 - v4l-recorded videos are zero byte big, courtesy of Patryk Zawadzki
	- translation error in de

version 0.2.3:
	- add keystrokes:
		- t, T, Space for taking photos and videos
		- Enter for opening an item
		- Delete for deleting an item
		- Left and Right for scrolling through the view
	- add a flash, when taking photos, courtesy of Patryk Zawadzki
	- use 25fps for video recording
	- video recording did not work. fixed
	- make ximagesink work with the photo pipeline
	- added/updated translations
		- da, courtesy of Anders K. Madsen
		- es, courtesy of Ricardo González Castro
		- gl, courtesy of Ricardo González Castro
		- it, courtesy of Alessandro Falappa
		- ja, courtesy of Takeshi Aihana
		- pl, courtesy of Tomasz Dominikowski

version 0.2.2:
	- workaround on a gstreamer-bug, which made the colors look wrong with
		v4l-devices, courtesy of Patryk Zawadzki
	- activate countdown by default
	- the countdown is not available in video and segfaultet. fixed
	- use g_timeout_add instead of g_timeout_add_seconds

version 0.2.1:
	- improvement the video pipline. and i mean a LOT of improvement
	- add a countdown, when taking a photo
	- add a time counter to the video recording
	- added the following export methods/capabilities:
		- open the file with gnome-open
		- save as dialog
		- delete
		- send by mail
		- export to flickr
		- export to f-spot
		- set as account photo
	- we found the bug! v4l works now, courtesy of Patryk Zawadzki
	- added a popupmenu to the iconview
	- added some parts of the lucas(R)-eye of gnome iconview
	- if the same effects were chosen in photo and video, they wont apply. fixed
	- the first item in the iconbar wasnt deleted. fixed
	- updated translations:
		- cs, courtesy Vítězslav Kotrla
		- de
		- fr, courtesy of Pierre Slamich
		- it, courtesy of Alessandro Falappa
		- nl, courtesy of Wouter Bolsterlee
		- pt, courtesy of Miguel Rosa

version 0.2.0:
	- store video thumbnails in the right thumbnail directory
	- video support. we can record a video with audio taken from any source
	- add mnemonics for the buttons in the ui
	- probably the dumbest change ever: the fsf has changed its address
	- updated translations:
		- de
		- fr, courtesy of Pierre Slamich
		- it, courtesy of Alessandro Falappa
		- pl, courtesy of Tomasz Dominikowski
		- pt, courtesy of Miguel Rosa

version 0.1.4:
	- remove photos automatically from the thumbnail row
	- check automatically for webcams and their	resolution
	- notification if cheese isn't able to get the webcam working
	- V4L support, courtesy of Diego Escalante Urrelo
	- store photos under ~/.gnome2/cheese/images
	- add only valid jpeg photos to the thumbnail row
	- sort thumbnails aplhabetically before adding them
	- let the window resizable
	- icons were installed with permissions 0755. fixed
	- added gtk-update-icon-cache on installation
	- lot of refactoring
	- new about-window, courtesy of Jaap Haitsma
	- use g18n for i18n
	- updated dutch translation, courtesy of Wouter Bolsterlee
	- updated french translation, courtesy of Pierre Slamich
	- added polish translation, courtesy of Tomasz Dominikowski
	- several fixes

version 0.1.3:
	- let the glade file also translatable
	- added the icon to the .desktop-file
	- Cheese didn't use the various translations. fixed
	- Cheese was hiding from the taskbar. fixed
	- added dutch translation, courtesy of Max Beauchez
	- added french translation, courtesy of Pierre Slamich
	- several fixes

version 0.1.2:
	- the buildsystem is now toc2, big thanks to Stephan Beal for helping out
	- added the new cheese icon, courtesy of Andreas Nilsson and Josef Vybíral
	- added czech translation, courtesy of Vítězslav Kotrla
	- added portuguese translation, courtesy of Miguel Rosa
	- added spanish translation, courtesy of Ricardo González Castro
	- added galician translation, courtesy of Ricardo González Castro
	- added italian translation, courtesy of Alessandro Falappa
	- several fixes

version 0.1.1:
	- added new effect-chooser
	- allowing to chose more than one effect at the same time
	- added german translation
	- several fixes

version 0.1.0:
	- initial version
